import javax.swing.*;
public class ref_cycle5test
{
public static double Pres(String refrigerant,double T)
{refrigerantEN r=new refrigerantEN(refrigerant);
double a[]=r.property("tx",T,0.0);
double P1=a[0];
return P1;
}
public static void main(String arg[])
{
double m=1.0;  // kg/s çevrim R134a debisi
String refrigerant="R728";
refrigerantEN r=new refrigerantEN(refrigerant);
double P4=Pres(refrigerant,-195.0);//kPA
double P1=4000.0;//kPA
double T5=30.0;
double T6=40.0;
double T7=5.0;
double T9=120.0;
double n=1.2; //compressor polytropic constant
double x=0.99;
ref_cycle5 re=new ref_cycle5(refrigerant,m,P4,P1,T5,T6,x,n);
re.cycle();
System.out.println(re.toString());
}
}